Subject: Upleveling discussion (was Re: [v6ops] Stateful SLAAC (draft-ietf-v6ops-unique-ipv6-prefix-per-host))
From: Suresh Krishnan <[email-masked]>
To: "[email-masked]" <[email-masked]>, "[email-masked] WG" <[email-masked]>
Cc: Ted Lemon <[email-masked]>, Mark Smith <[email-masked]>, Fernando Gont <[email-masked]>, "Van De Velde, Gunter (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 14 Nov 2017 11:22:49 +0800
List-Id: "IPv6 Maintenance Working Group \(6man\)" <ipv6.ietf.org>

Hi all,
  I would like to summarize the issues that have been brought up, along with my views (I apologize for the long mail but I think it is warranted in this case)

a) Changes were made to the draft after most of the IESG balloted on an older version of the document

Yes .This is an issue but hardly limited to this draft. I keep reading newer versions of the draft if I balloted DISCUSS and/or have some open issues that need to get resolved. After the issues are resolved, I do not usually read newer versions unless I am the shepherding AD for the document in which case I do. I spoke to some of the other ADs and their workflows are similar. This is something we need to discuss on the IESG in order to see how we can improve.

b) Mechanism does not work

Given that the mechanism has been implemented and deployed by the authors, I have a hard time taking this claim at face value. Providing an unique prefix per host has been standard practice in 3GPP mobile networks for the past *15 years*. based on recommendations from the IETF back at that time. When a mobile attaches, there is state created on the first hop router that does exactly what this draft wants to do. The only issue I see is a lack of mechanism to clean up stale prefixes if the hosts go away, but depending on the deployment this may or may not be an issue.

c) The document should be Informational and not BCP

Regardless of people claiming on this thread that the IESG chose this to be a BCP, it is the *v6ops WG* that decided to send this in as BCP. The document was IETF Last Called as BCP way before it even hit the IESG. Given that there is no objective guidance in RFC2026 on what constitutes a BCP (“best” and "what is believed to be the best way” are not exactly objective) we could go either way. I am inclined to go along with the wishes of the WG (v6ops), the shepherding AD (Warren) in the absence of a more definitive measure of suitability. That said, as I conveyed to Warren, I would not object if this was made Informational either.

d) Draft should have been done in 6man

Let me start off by stating that (AFAIK) there is no written agreement between 6man and v6ops as to the split of work. We have mostly used common sense to decide where things go. Specifically, if there have been bits-on-the-wire changes we have insisted that the work be done in 6man and this is certainly not the case for the document in question. I think this work is certainly pertinent to v6ops based on the following text in their charter

Solicit input from network operators and users to identify
operational issues with IPv6 networks, and determine solutions or
workarounds to those issues.

In closing, looking at where the document is in the publication cycle (It is in AUTH48 and it was probably an hour or so away from being published as an RFC), I think making major changes to the draft without a clear justification and WG consensus is not appropriate .

Thanks
Suresh

> On Nov 14, 2017, at 9:57 AM, Van De Velde, Gunter (Nokia - BE/Antwerp) <[email-masked]> wrote:
> 
> This may be a good moment to halt this discussion.
> The original reported finding that this draft makes protocol changes “making SLAAC statefull” has been found invalid.
> This means that there is no procedural issue caused by this draft.
>  
> AUTH48 process can now go forward as planned.
>  
> G/
>  
>   <>
> From: Ted Lemon [mailto:[email-masked]] 
> Sent: Tuesday, November 14, 2017 09:46
> To: Mark Smith <[email-masked]>
> Cc: Lorenzo Colitti <[email-masked]>; Fernando Gont <[email-masked]>; [email-masked] WG <[email-masked]>; [email-masked]; Van De Velde, Gunter (Nokia - BE/Antwerp) <[email-masked]>
> Subject: Re: [v6ops] Stateful SLAAC (draft-ietf-v6ops-unique-ipv6-prefix-per-host)
>  
> On Nov 14, 2017, at 3:43 AM, Mark Smith <[email-masked] <mailto:[email-masked]>> wrote:
> Why are we holding this document up on this?
> Half baked cakes aren't cakes, even though they may look like them.
>  
> FWIW, "we" aren't holding up this document.   It's in AUTH48.   The working group already has consensus on the document, the IESG has approved it, and at this point the only changes allowed are editorial changes that do not substantively change what the document says.   The working group has no agency here: this is entirely up to the authors and the AD.
>  
> If the authors or the AD were to make substantive changes to the document, that would be grounds for an appeal by the working group.
>  
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------